org.bdgenomics.adam.rdd.variant

# VCFInFormatter

###
Related Docs: object VCFInFormatter | package variant

#### case class VCFInFormatter extends InFormatter[VariantContext, VariantContext, VariantContextRDD, VCFInFormatter] with Product with Serializable

Linear Supertypes
Product, Equals, InFormatter[VariantContext, VariantContext, VariantContextRDD, VCFInFormatter], Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VCFInFormatter
2. Product
3. Equals
4. InFormatter
5. Serializable
6. Serializable
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### val companion: VCFInFormatter.type

   Attributes
     protected
   Definition Classes
     VCFInFormatter → InFormatter

7. #### val conf: Configuration

8. #### val converter: VariantContextConverter

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### val headerLines: Seq[VCFHeaderLine]

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### val samples: Seq[String]

18. #### val sequences: SequenceDictionary

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### def write(os: OutputStream, iter: Iterator[VariantContext]): Unit

    Writes variant contexts to an output stream in VCF format.

    Writes variant contexts to an output stream in VCF format.

    os

      An OutputStream connected to a process we are piping to.

    iter

      An iterator of records to write.

    Definition Classes
      VCFInFormatter → InFormatter

### Inherited from Product

### Inherited from Equals

### Inherited from InFormatter[VariantContext, VariantContext, VariantContextRDD, VCFInFormatter]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped